Package: org.codehaus.groovy.grails.web.pages.ext.jsp

## [Groovy] Class TldReader

- org.codehaus.groovy.grails.web.pages.ext.jsp.TldReader

- A SAX parser implementation that reads the contents of a tag library definition (TLD) into two properties called tags and listeners (for the tag listeners)

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.List<java.lang.String>` | `listeners`
    `java.util.Map<java.lang.String, java.lang.String>` | `tags`
    `java.lang.String` | `uri`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TldReader (java.io.InputStream inputStream)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### final java.util.List<java.lang.String> listeners

    - #### final java.util.Map<java.lang.String, java.lang.String> tags

    - #### java.lang.String uri

  - ### Constructor Detail

    - #### TldReader(java.io.InputStream inputStream)